# Investors API v1

## Getting Started

#### **Base URL** <a href="#base-url" id="base-url"></a>

```
https://api.unlocks.app
```

#### **Authentication** <a href="#authentication" id="authentication"></a>

Provide your api key in the `x-api-key` header.

<pre><code><strong>GET https://api.unlocks.app/v1/fundraising/investors/{investorId}
</strong>HEADER: x-api-key: &#x3C;YOUR_API_KEY>
</code></pre>

**Parameters**

Note: `investorId` needs to be specified.

* investorId (required): Get `investorId` from[ Investor List API](https://docs.unlocks.app/api-documents/api-endpoints/investor-list-api)
* isLeadInvestor (optional): Show only rounds that are led by this investor
* fundingDateMin (optional): The start date for time filtering in the format YYYY-MM-DD. Defaults to the earliest available date.
* fundingDateMax (optional): The end date for time filtering in the format YYYY-MM-DD. Defaults is the furthest available date.
* raisedAmountMin (optional): The minimum amount raised for filtering&#x20;
* raisedAmountMax (optional): The maximum amount raised for filtering&#x20;

**Example:**

```
curl -X 'GET' \
  'https://api.unlocks.app/v1/fundraising/investors/andreessen-horowitz' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Response**

```json
{
    "metadata": {
        "queryDate": "2026-01-08T10:24:34Z"
    },
    "status": true,
    "data": {
        "investorId": "andreessen-horowitz",
        "investorName": "Andreessen Horowitz (a16z)",
        "website": "https://a16z.com/,https://twitter.com/a16zcrypto",
        "fundingRounds": [
            {
                "tokenId": "apecoin",
                "roundName": "Seed Round",
                "isLeadInvestor": true,
                "fundingDate": "2022-03-22T00:00:00Z",
                "totalAmountRaisedinThatRound": 450000000,
                "valuation": 4000000000,
                "pricePerToken": null
            },
            {
                "tokenId": "aptos",
                "roundName": "Series A",
                "isLeadInvestor": false,
                "fundingDate": "2022-07-25T00:00:00Z",
                "totalAmountRaisedinThatRound": 150000000,
                "valuation": 2000000000,
                "pricePerToken": null
            },
            {
                "tokenId": "aptos",
                "roundName": "Seed Round",
                "isLeadInvestor": true,
                "fundingDate": "2022-03-15T00:00:00Z",
                "totalAmountRaisedinThatRound": 200000000,
                "valuation": null,
                "pricePerToken": null
            },
            ...
        ]
}
```

The response includes time series data with the date (in UTC timezone).

**Return Fields Explanation**

| Fields            | Data Type | Description                                  |
| ----------------- | --------- | -------------------------------------------- |
| investorId        | string    | Identifier to call for a Dataset             |
| investorName      | string    | Investor Name                                |
| website           | string    | Link to Investor Website                     |
| latestFundingDate | timestamp | Latest Investment Activity From The Investor |

**Return Fields Explanation: Funding Rounds**

| Fields                       | Data Type | Description                                   |
| ---------------------------- | --------- | --------------------------------------------- |
| tokenId                      | string    | Token Id                                      |
| roundName                    | string    | Round Name                                    |
| isLeadInvestor               | boolean   | Identifier for Lead Investor                  |
| totalAmountRaisedinThatRound | number    | Total Amount Raised in That Round             |
| valuation                    | number    | Valuation for Funding Round                   |
| pricePerToken                | number    | Cost of Token for this Investor at that Round |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unlocks.app/api-documents/api-endpoints/investors-api/investors-api-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
